"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = void 0;
const openapi_typescript_codegen_1 = require("openapi-typescript-codegen");
const print_1 = require("./print");
const path_1 = __importDefault(require("path"));
const createSource_1 = require("./createSource");
const constants_1 = require("./constants");
async function generate(options) {
    const openApiOutputPath = path_1.default.join(options.output ?? constants_1.defaultOutputPath, constants_1.requestsOutputPath);
    await (0, openapi_typescript_codegen_1.generate)({
        ...options,
        useOptions: true,
        httpClient: options.client,
        output: openApiOutputPath,
    });
    const source = (0, createSource_1.createSource)(openApiOutputPath);
    (0, print_1.print)(source, options);
}
exports.generate = generate;
